Bug 493326 - Incorrect product mappings: EAP to Application Server version 4.2.0
Incorrect product mappings: EAP to Application Server version 4.2.0
Status: CLOSED WONTFIX
Product: JBoss Customer Support Portal
Classification: Retired
Component: Product Mappings (Show other bugs)
1.4
All All
high Severity medium
: ---
: ---
Assigned To: JBoss CSP Bug Watch List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-01 09:24 EDT by Tom Mirc
Modified: 2011-01-31 12:46 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-31 12:37:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of CSP Application Server page (178.24 KB, image/png)
2009-04-01 09:24 EDT, Tom Mirc
no flags Details

  None (edit)
Description Tom Mirc 2009-04-01 09:24:19 EDT
Created attachment 337514 [details]
Screenshot of CSP Application Server page

Description of problem:

EAP patches and Application Server Patches are distinct.  Currently if a customer selects JBoss Application Server and version 4.2.0 from the "Products" drop down menu, 42 distributions and 8 patches are accessible.  Half of these apply to EAP 4.2.0, from GA through CP_06.  The other half apply to EAP 4.3.0, through release CP_02.  

One of the patches available is JBoss EAP 4.3.0.GA_CP01 which is not mapped to either the correct product or the correct version.  

These mappings need to be corrected, as the customer potentially runs the risk of applying an EAP patch to App Server and causing major system issues.  In addition, having multiple versions of EAP appear under App Server is incorrect and potentially confusing.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Log into CSP with Entitlement to Application Server
2. Navigate to page via the Product Drop Down: https://support.redhat.com/jbossnetwork/restricted/listSoftware.html?product=jbas&downloadType=patches&version=4.2.0
3. Select Application Server version 4.2.0 
  
Actual results:
Will see 42 releases and 8 patches, half applicable to EAP 4.2.0 and half to EAP 4.3.0.

Expected results:
No EAP CP's appear in the Distributions tab or in the release tab.

Additional info:
Comment 1 Tom Mirc 2009-04-02 17:36:59 EDT
4/2/09
3:52 PM 

Prakash:

Yes, They should.

----- "Thomas Mirc" <tmirc@redhat.com> wrote:
> From: "Thomas Mirc" <tmirc@redhat.com>
> To: "Prakasha Aradhya" <paradhya@redhat.com>
> Sent: Thursday, April 2, 2009 3:50:59 PM GMT -05:00 US/Canada Eastern
> Subject: EAP patches mapped to Developer Subscription
>
> Hi Prakash,
>
> Should EAP patches be mapped to Developer Subscriptions?  Trying to fix a bug.
>
> --Tom
Comment 3 David Spalding 2011-01-31 12:37:50 EST
Bugs are no longer tracked under this classification. CSP is now monitored in 
Other | Customer Portal | Integrated app: JBoss CSP. 

Please refile any current defect records or RFEs under the current 
classification.
Comment 4 David Spalding 2011-01-31 12:46:15 EST
Bugs are no longer tracked under this classification. CSP is now monitored in 
Other | Customer Portal | Integrated app: JBoss CSP. 

Please refile any current defect records or RFEs under the current 
classification.

Note You need to log in before you can comment on or make changes to this bug.